SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
brief: |
  This type defines the prototype of routines which can be fired by directives
  of the Timer Manager.
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
- Copyright (C) 1988, 2008 On-Line Applications Research Corporation (OAR)
definition:
  default: |
    ${service-routine:/name} ( *${.:/name} )( ${../../type/if/id:/name}, void * )
  variants: []
description: null
enabled-by: true
index-entries: []
interface-type: typedef
links:
- role: interface-placement
  uid: header
- role: interface-ingroup
  uid: group
name: rtems_timer_service_routine_entry
notes: null
type: interface
